FreeCAD 0.18で「円形稜線一致」を実行すると The assembly2 solver failed to satisfy constraint "circularEdgeConstraint01" というエラーが発生してしまう。

Japanese forum
Post Reply
pons
Posts: 3
Joined: Wed Dec 25, 2019 12:55 pm

FreeCAD 0.18で「円形稜線一致」を実行すると The assembly2 solver failed to satisfy constraint "circularEdgeConstraint01" というエラーが発生してしまう。

Post by pons » Wed Dec 25, 2019 1:04 pm

FreeCADを使い始めて1週間の初心者です。
長文となってしまいましたが、何卒、ご教授よろしくお願いいたします。

------------------------------

FreeCADのバージョンやPC環境

FreeCAD 0.18

windows10 Pro 32bit
メモリ:4GB
CPU:Intel Core2 Duo

------------------------------

「Assembly2」はFreeCADの「ツール」→「アドオンマネージャー」から最新版をインストールしました。

------------------------------

サンプルデータは
https://www.youtube.com/watch?v=FTw08J0dgiA
こちらの解説動画の概要欄に記載されているリンク先からダウンロードしました。

------------------------------

エラーが発生するまでの手順

1.
ダウンロードしたサンプルデータ「TH27A Assembly.FCStd」をダブルクリックしてFreeCADで開きます。

2.
解説動画と同じ様に「円形稜線一致」のアイコンをクリックしてから、密着させたい2つの円の端同士を選択する。

3.
すると、添付した画像のエラーが表示されて処理が行われない。

このエラーは、先にctrlを押しながら密着させたい2つの円を選択して「円形稜線一致」のアイコンをクリックしても起こりました。

------------------------------

その他

「軸一致」のアイコンをクリックして、2つの円の内側を選択すると正常に処理されます。

FreeCADはポータブル版でもインストーラー版でも試しましたが同じでした。

解説動画のFreeCADと同じバージョン0.16をインストールし、解説動画と同じバージョンと思われる「Assembly2」を
https://github.com/hamish2014/FreeCAD_a ... -47-master
こちらからzip形式でダウンロードし、同じページにある「Windows Installation Instructions」に従ってインストールを行い、同様な操作を行いましたが同じエラーが発生してしまいます。

ネットで「The assembly2 solver failed to satisfy constraint "circularEdgeConstraint01"」や「The assembly2 solver failed to satisfy constraint」と検索してみましたが、それらしい解決法は見つかりませんでした。

------------------------------

エラーの内容は

Solver Failure!

The assembly2 solver failed to satisfy the constraint "circularEdgeConstraint01".

possible causes
- impossible/contridictorary constraints have be specified, or
- the contraint problem is too difficult for the solver, or
- a bug in the assembly 2 workbench

potential solutions
- redefine the constraint (popup menu item in the treeView)
- delete constraint, and try again using a different constraint scheme.

Delete constraint "circularEdgeConstraint01"?

&Yes &No

となっているので翻訳して当てはまる物があるかを考えてみました

possible causes
- impossible/contridictorary constraints have be specified, or
- the contraint problem is too difficult for the solver, or
- a bug in the assembly 2 workbench

考えられる原因
- 不可能/限定的な制約が指定されている、または
- 制約の問題がソルバーにとって難しすぎる、または
- アセンブリ2ワークベンチのバグ

解説動画では同じ処理が行えているため、上記の3つは当てはまらないと思われます。
解説動画と同じバージョンで同じ手順で行っているため「Assembly2」のバグというのも考えにくいと思われます。

potential solutions
- redefine the constraint (popup menu item in the treeView)
- delete constraint, and try again using a different constraint scheme.

潜在的なソリューションのバグ
-制約を再定義(treeViewのポップアップメニュー項目)
-制約を削除し、別の制約スキームを使用して再試行してください。

こちらは正直よくわかりませんでしたが、データを読み込んだ直後に「円形稜線一致」の処理を行ってエラーが表示されるのであれば当てはまらないのではないかと思われます。

------------------------------
Attachments
2019-12-25_19h50_26.png
2019-12-25_19h50_26.png (145.32 KiB) Viewed 316 times
User avatar
h.tsubota
Posts: 39
Joined: Mon Mar 21, 2016 2:09 pm

Re: FreeCAD 0.18で「円形稜線一致」を実行すると The assembly2 solver failed to satisfy constraint "circularEdgeConstraint01" というエラーが発生して

Post by h.tsubota » Fri Dec 27, 2019 3:47 am

直接の解答になっていなくて申し訳ないですが、アドオンマネージャ―でのインストール画面に表示されている通りAssembly2は「obsolete(廃止)」になっていてメンテナンスされていません。

実際、試しに手元のFreeCAD 0.18にインストールしてみましたがエラーで動きませんでした
https://forum.freecadweb.org/viewtopic.php?p=342011 と同様のエラー)。

現在(バージョン0.18)はアセンブリする場合は「A2plus」または「Assembly4」を使用するのが一般的だと思うので、そちらを試した方がいいかと思います。どうしてもAssembly2が使いたい場合は下記にAssembly2のPythonソースコードがインストールされているはずなので、それを読めば何かわかるかもしれません。

- Assembly2のインストール位置
C:\Users\(ユーザー名)\AppData\Roaming\FreeCAD\Mod\assembly2\assembly2
pons
Posts: 3
Joined: Wed Dec 25, 2019 12:55 pm

Re: FreeCAD 0.18で「円形稜線一致」を実行すると The assembly2 solver failed to satisfy constraint "circularEdgeConstraint01" というエラーが発生して

Post by pons » Sat Dec 28, 2019 11:13 am

ご教授いただきありがとうございます。
Assembly2がメンテナンスを停止していることは知りませんでした。
教えていただいた「A2plus」、「Assembly4」を使用してみたいと思います。
ありがとうございました!
pons
Posts: 3
Joined: Wed Dec 25, 2019 12:55 pm

Re: FreeCAD 0.18で「円形稜線一致」を実行すると The assembly2 solver failed to satisfy constraint "circularEdgeConstraint01" というエラーが発生して

Post by pons » Sat Dec 28, 2019 11:14 am

h.tsubota wrote:
Fri Dec 27, 2019 3:47 am
直接の解答になっていなくて申し訳ないですが、アドオンマネージャ―でのインストール画面に表示されている通りAssembly2は「obsolete(廃止)」になっていてメンテナンスされていません。

実際、試しに手元のFreeCAD 0.18にインストールしてみましたがエラーで動きませんでした
https://forum.freecadweb.org/viewtopic.php?p=342011 と同様のエラー)。

現在(バージョン0.18)はアセンブリする場合は「A2plus」または「Assembly4」を使用するのが一般的だと思うので、そちらを試した方がいいかと思います。どうしてもAssembly2が使いたい場合は下記にAssembly2のPythonソースコードがインストールされているはずなので、それを読めば何かわかるかもしれません。

- Assembly2のインストール位置
C:\Users\(ユーザー名)\AppData\Roaming\FreeCAD\Mod\assembly2\assembly2
ご教授いただきありがとうございます。
Assembly2がメンテナンスを停止していることは知りませんでした。
教えていただいた「A2plus」、「Assembly4」を使用してみたいと思います。
ありがとうございました!
Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests